%YAML 1.1
---
connection: &panda
  accepter: telnet,7102
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nPanda - port \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_USB_HS_SERIAL_CONVERTER_FTGOS2Q2-if00-port0,
             115200n81,local

connection: &arm_energy_probe
  accepter: telnet,7103
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nARM Energy Probe - port \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-NXP_SEMICOND_ARM_Energy_Probe_S_NO81730000-if00,
             115200n81,local

connection: &arm_energy_probe1
  accepter: telnet,7104
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nARM Energy Probe - port \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-NXP_SEMICOND_ARM_Energy_Probe_S_NO81730001-if00,
             115200n81,local

connection: &tc2
  accepter: telnet,7105
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nVersatile Express TC2 - port \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-Prolific_Technology_Inc._USB-Serial_Controller_D-if00-port0,
             38400n81,local

connection: &mediatek
  accepter: telnet,7106
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nMediatek - port \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-Prolific_Technology_Inc._USB-Serial_Controller-if00-port0,
             921600n81,local

connection: &dragonboard
  accepter: telnet,7107
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nDragonboard 410c - port \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_FT230X_96Boards_Console_DAZ9OL66-if00-port0,
             115200n81,local

connection: &juno-r2
  accepter: telnet,7108
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nJuno R2 \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_FT232R_USB_UART_AI03FFF8-if00-port0,
             115200n81,local

connection: &hikey6220-01
  accepter: telnet,7109
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nHiKey6220-01 \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_TTL232RG-VREG1V8_FT0ED23E-if00-port0,
             115200n81,local

connection: &b2260
  accepter: telnet,7110
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nb2260 \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_FT230X_96Boards_Console_DAZ0K44L-if00-port0,
             115200n81,local

connection: &hikey960-01
  accepter: telnet,7111
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nHiKey960 01 \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_TTL232RG-VREG1V8_FTU8KFOA-if00-port0,
             115200n81,local

connection: &hikey960-02
  accepter: telnet,7112
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nHiKey960 02 \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_TTL232RG-VREG1V8_FTXODYOK-if00-port0,
             115200n81,local

connection: &hikey6220-02
  accepter: telnet,7113
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nHiKey6220-02 \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_TTL232RG-VREG1V8_FT0EB4IU-if00-port0,
             115200n81,local

connection: &cambrionix
  accepter: telnet,7200
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nCambrionix USB Hub Management Interface  - port \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_FT230X_Basic_UART_DN00HZL2-if00-port0,
             115200n81,local

connection: &cambrionix1
  accepter: telnet,7201
  enable: on
  options:
    kickolduser: false
    telnet-brk-on-sync: true
    banner: \r\nCambrionix USB Hub Management Interface  - port \p [\s]\r\n\r\n
  connector: serialdev,
             /dev/serial/by-id/usb-FTDI_FT230X_Basic_UART_DN006EU6-if00-port0,
             115200n81,local
